/* 헤더 상단 고정 및 투명화 */
#header {
  position: fixed !important;
  top: 0;
  left: 0;
  width: 100%;
  background-color: transparent !important;
  z-index: 9999; /* 본문 이미지보다 항상 위에 오도록 설정 */
  margin: 0 !important;
}

/* 전체 화면 여백 완전 제거 (본문이 화면 꽉 차게) */
html, body {
  margin: 0 !important;
  padding: 0 !important;
}

.project-section {
  position: relative;
  top: 80px;
  width: 100%;
  height: 100vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
  margin: 0;
  padding: 0;
}

.mobile-image {
  display: none;
}


.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.3);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 0;
  transition: opacity 0.4s ease;
}
  
  
  
  
  .project-section:hover .overlay {
    opacity: 1;
  }
  
  .overlay h1 {
    font-size: 48px;
    margin: 0 0 10px;
    transition: transform 0.4s ease, opacity 0.4s ease;
    transform: scale(1.5);
    opacity: 0;
    color: white;
  }
  
  .overlay p {
    font-size: 18px;
    opacity: 0;
    transform: translateY(10px);
    transition: all 0.4s ease;
    color: white;
  }
  
  /* 텍스트 등장 애니메이션 */
  .project-section:hover .overlay h1,
  .project-section:hover .overlay p {
    transform: scale(1);
    opacity: 1;
  }

  .project-link {
    display: block;
    text-decoration: none;
    color: inherit;
  }

  /* 기본 PC용 스타일 */

/* 모바일 화면용 스타일 (최대 768px) */
@media (max-width: 768px) {
  /* 예: 메뉴 작게, 글자 줄이기, 레이아웃 쌓기 */
  ul {
    flex-direction: column;
    align-items: flex-end;
  }

  .menu a {
    padding: 6px 15px;
    font-size: 14px;
  }


   .project-section {
      position: relative;
      height: auto;
      background: none !important;
      margin-bottom: 20px;
      padding: 0;
    }

    .mobile-image {
      display: block;
      position: relative;
      width: 100%;
      overflow: hidden;
      margin: 0;
      padding: 0;
    }
  
    .mobile-image img {
      width: 100%;
      height: auto;
      object-fit: cover;
      object-position: center center;
      display: block;
      margin: 0;
      padding: 0;
      border: 0;
    }
    .overlay {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      background-color: rgba(0, 0, 0, 0.4); /* 어둡게 덮기 */
      padding: 20px;
      color: white;
      text-align: center;
    }

    .overlay h1 {
      font-size: 25px;
      margin: 0 0 10px
    }
  
    .overlay p {
      font-size: 13px;
      margin: 0;
    }

    .project-section:hover .overlay h1,
  .project-section:hover .overlay p {
    transform: scale(1);
    opacity: 1;
  }

}